For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList brands
      • POSTCreate brand
      • PUTUpsert brand
      • GETRetrieve brand
      • PATCHUpdate brand
      • Brand
  • Customer Request API
  • Management API
LogoLogo
Network APIBrands

List brands

GET
/brands
GET
/network/v1/brands
$curl https://api.cash.app/network/v1/brands \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "brands": [
3 {
4 "id": "string",
5 "name": "string",
6 "created_at": "2021-01-01T00:00:00Z",
7 "updated_at": "2021-01-01T00:00:00Z",
8 "reference_id": "example-id",
9 "color": "#ffffff",
10 "profile_image_url": "https://franklin-assets.s3.amazonaws.com/merchants/assets/v3/generic/m_category_business.png",
11 "metadata": {}
12 }
13 ],
14 "cursor": "string"
15}

Returns a list of brands matching the given query parameters.

This endpoint is rate limited to 50 QPS.

Scopes: BRANDS_READ

Was this page helpful?

Create brand

Next
Built with

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Query parameters

cursorstringOptional>=1 character
A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
limitintegerOptional1-100Defaults to 50
Maximum number of brands to return.
reference_idstringOptional1-1024 characters

Filters results to only include brands with a reference_id matching the given value.

Response

OK
brandslist of objects
List of brands matching the given query parameters.
cursorstring
The pagination cursor to be used in a subsequent request. If empty, this is the final response.

Errors

400
Bad Request Error